/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An ISCSI volume attachment.
 */
export interface IScsiVolumeAttachment extends model.VolumeAttachment {
    /**
      * The Challenge-Handshake-Authentication-Protocol (CHAP) secret valid for the associated CHAP user name.
  * (Also called the \"CHAP password\".)
  * <p>
  Example: `d6866c0d-298b-48ba-95af-309b4faux45e`
  *
      */
    "chapSecret"?: string;
    /**
      * The volume's system-generated Challenge-Handshake-Authentication-Protocol (CHAP) user name.
  * <p>
  Example: `ocid1.volume.oc1.phx.abyhqljrgvttnlx73nmrwfaux7kcvzfs3s66izvxf2h4lgvyndsdsnoiwr5q`
  *
      */
    "chapUsername"?: string;
    /**
      * The volume's iSCSI IP address.
  * <p>
  Example: `169.254.0.2`
  *
      */
    "ipv4": string;
    /**
      * The target volume's iSCSI Qualified Name in the format defined by RFC 3720.
  * <p>
  Example: `iqn.2015-12.us.oracle.com:456b0391-17b8-4122-bbf1-f85fc0bb97d9`
  *
      */
    "iqn": string;
    /**
      * The volume's iSCSI port.
  * <p>
  Example: `3260`
  *
      */
    "port": number;
    "attachmentType": string;
}
export declare namespace IScsiVolumeAttachment {
    function getJsonObj(obj: IScsiVolumeAttachment, isParentJsonObj?: boolean): object;
    const attachmentType = "iscsi";
}
