/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The shape configuration for an instance. The shape configuration determines
 * the resources allocated to an instance.
 *
 */
export interface InstanceShapeConfig {
    /**
     * The total number of OCPUs available to the instance.
     *
     */
    "ocpus"?: number;
    /**
     * The total amount of memory, in gigabytes, available to the instance.
     *
     */
    "memoryInGBs"?: number;
    /**
     * A short description of the processors available to the instance.
     *
     */
    "processorDescription"?: string;
    /**
     * The networking bandwidth, in gigabits per second, available to the instance.
     *
     */
    "networkingBandwidthInGbps"?: number;
    /**
     * The maximum number of VNIC attachments for the instance.
     *
     */
    "maxVnicAttachments"?: number;
    /**
     * The number of GPUs available to this instance.
     *
     */
    "gpus"?: number;
    /**
     * A short description of the GPUs available to this instance.
     * This field is `null` if `gpus` is `0`.
     *
     */
    "gpuDescription"?: string;
    /**
     * The number of local disks available to the instance.
     *
     */
    "localDisks"?: number;
    /**
     * The size of the local disks, aggregated, in gigabytes.
     * This field is `null` if `localDisks` is equal to `0`.
     *
     */
    "localDisksTotalSizeInGBs"?: number;
    /**
     * A short description of the local disks available to this instance.
     * This field is `null` if `localDisks` is equal to `0`.
     *
     */
    "localDiskDescription"?: string;
}
export declare namespace InstanceShapeConfig {
    function getJsonObj(obj: InstanceShapeConfig): object;
}
