"use strict";
/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const model = __importStar(require("../model"));
var Instance;
(function (Instance) {
    let LaunchMode;
    (function (LaunchMode) {
        LaunchMode["NATIVE"] = "NATIVE";
        LaunchMode["EMULATED"] = "EMULATED";
        LaunchMode["PARAVIRTUALIZED"] = "PARAVIRTUALIZED";
        LaunchMode["CUSTOM"] = "CUSTOM";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LaunchMode["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(LaunchMode = Instance.LaunchMode || (Instance.LaunchMode = {}));
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["MOVING"] = "MOVING";
        LifecycleState["PROVISIONING"] = "PROVISIONING";
        LifecycleState["RUNNING"] = "RUNNING";
        LifecycleState["STARTING"] = "STARTING";
        LifecycleState["STOPPING"] = "STOPPING";
        LifecycleState["STOPPED"] = "STOPPED";
        LifecycleState["CREATINGIMAGE"] = "CREATING_IMAGE";
        LifecycleState["TERMINATING"] = "TERMINATING";
        LifecycleState["TERMINATED"] = "TERMINATED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(LifecycleState = Instance.LifecycleState || (Instance.LifecycleState = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "launchOptions": obj.launchOptions
                ? model.LaunchOptions.getJsonObj(obj.launchOptions)
                : undefined,
            "shapeConfig": obj.shapeConfig
                ? model.InstanceShapeConfig.getJsonObj(obj.shapeConfig)
                : undefined,
            "sourceDetails": obj.sourceDetails
                ? model.InstanceSourceDetails.getJsonObj(obj.sourceDetails)
                : undefined,
            "agentConfig": obj.agentConfig
                ? model.InstanceAgentConfig.getJsonObj(obj.agentConfig)
                : undefined
        });
        return jsonObj;
    }
    Instance.getJsonObj = getJsonObj;
})(Instance = exports.Instance || (exports.Instance = {}));
//# sourceMappingURL=instance.js.map