"use strict";
/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var VolumeBackupSchedule;
(function (VolumeBackupSchedule) {
    let BackupType;
    (function (BackupType) {
        BackupType["FULL"] = "FULL";
        BackupType["INCREMENTAL"] = "INCREMENTAL";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        BackupType["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(BackupType = VolumeBackupSchedule.BackupType || (VolumeBackupSchedule.BackupType = {}));
    let Period;
    (function (Period) {
        Period["HOUR"] = "ONE_HOUR";
        Period["DAY"] = "ONE_DAY";
        Period["WEEK"] = "ONE_WEEK";
        Period["MONTH"] = "ONE_MONTH";
        Period["YEAR"] = "ONE_YEAR";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Period["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(Period = VolumeBackupSchedule.Period || (VolumeBackupSchedule.Period = {}));
    let OffsetType;
    (function (OffsetType) {
        OffsetType["STRUCTURED"] = "STRUCTURED";
        OffsetType["NUMERICSECONDS"] = "NUMERIC_SECONDS";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        OffsetType["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(OffsetType = VolumeBackupSchedule.OffsetType || (VolumeBackupSchedule.OffsetType = {}));
    let DayOfWeek;
    (function (DayOfWeek) {
        DayOfWeek["MONDAY"] = "MONDAY";
        DayOfWeek["TUESDAY"] = "TUESDAY";
        DayOfWeek["WEDNESDAY"] = "WEDNESDAY";
        DayOfWeek["THURSDAY"] = "THURSDAY";
        DayOfWeek["FRIDAY"] = "FRIDAY";
        DayOfWeek["SATURDAY"] = "SATURDAY";
        DayOfWeek["SUNDAY"] = "SUNDAY";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        DayOfWeek["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(DayOfWeek = VolumeBackupSchedule.DayOfWeek || (VolumeBackupSchedule.DayOfWeek = {}));
    let Month;
    (function (Month) {
        Month["JANUARY"] = "JANUARY";
        Month["FEBRUARY"] = "FEBRUARY";
        Month["MARCH"] = "MARCH";
        Month["APRIL"] = "APRIL";
        Month["MAY"] = "MAY";
        Month["JUNE"] = "JUNE";
        Month["JULY"] = "JULY";
        Month["AUGUST"] = "AUGUST";
        Month["SEPTEMBER"] = "SEPTEMBER";
        Month["OCTOBER"] = "OCTOBER";
        Month["NOVEMBER"] = "NOVEMBER";
        Month["DECEMBER"] = "DECEMBER";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Month["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(Month = VolumeBackupSchedule.Month || (VolumeBackupSchedule.Month = {}));
    let TimeZone;
    (function (TimeZone) {
        TimeZone["UTC"] = "UTC";
        TimeZone["REGIONALDATACENTERTIME"] = "REGIONAL_DATA_CENTER_TIME";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        TimeZone["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(TimeZone = VolumeBackupSchedule.TimeZone || (VolumeBackupSchedule.TimeZone = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        return jsonObj;
    }
    VolumeBackupSchedule.getJsonObj = getJsonObj;
})(VolumeBackupSchedule = exports.VolumeBackupSchedule || (exports.VolumeBackupSchedule = {}));
//# sourceMappingURL=volume-backup-schedule.js.map