/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { VirtualNetworkClient } from "./client";
import { WorkRequestClient, responses } from "oci-workrequests";
export declare class VirtualNetworkWaiter {
    private client;
    private workRequestClient;
    private readonly config?;
    constructor(client: VirtualNetworkClient, workRequestClient: WorkRequestClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forChangeDrgCompartment
     *
     * @param request the request to send
     * @return response returns ChangeDrgCompartmentResponse, GetWorkRequestResponse tuple
     */
    forChangeDrgCompartment(request: serviceRequests.ChangeDrgCompartmentRequest): Promise<{
        response: serviceResponses.ChangeDrgCompartmentResponse;
        workRequestResponse: responses.GetWorkRequestResponse;
    }>;
    /**
     * Waits forChangeSubnetCompartment
     *
     * @param request the request to send
     * @return response returns ChangeSubnetCompartmentResponse, GetWorkRequestResponse tuple
     */
    forChangeSubnetCompartment(request: serviceRequests.ChangeSubnetCompartmentRequest): Promise<{
        response: serviceResponses.ChangeSubnetCompartmentResponse;
        workRequestResponse: responses.GetWorkRequestResponse;
    }>;
    /**
     * Waits forChangeVcnCompartment
     *
     * @param request the request to send
     * @return response returns ChangeVcnCompartmentResponse, GetWorkRequestResponse tuple
     */
    forChangeVcnCompartment(request: serviceRequests.ChangeVcnCompartmentRequest): Promise<{
        response: serviceResponses.ChangeVcnCompartmentResponse;
        workRequestResponse: responses.GetWorkRequestResponse;
    }>;
    /**
     * Waits forCrossConnect till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetCrossConnectResponse | null (null in case of 404 response)
     */
    forCrossConnect(request: serviceRequests.GetCrossConnectRequest, ...targetStates: models.CrossConnect.LifecycleState[]): Promise<serviceResponses.GetCrossConnectResponse | null>;
    /**
     * Waits forCrossConnectGroup till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetCrossConnectGroupResponse | null (null in case of 404 response)
     */
    forCrossConnectGroup(request: serviceRequests.GetCrossConnectGroupRequest, ...targetStates: models.CrossConnectGroup.LifecycleState[]): Promise<serviceResponses.GetCrossConnectGroupResponse | null>;
    /**
     * Waits forDhcpOptions till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDhcpOptionsResponse | null (null in case of 404 response)
     */
    forDhcpOptions(request: serviceRequests.GetDhcpOptionsRequest, ...targetStates: models.DhcpOptions.LifecycleState[]): Promise<serviceResponses.GetDhcpOptionsResponse | null>;
    /**
     * Waits forDrg till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDrgResponse | null (null in case of 404 response)
     */
    forDrg(request: serviceRequests.GetDrgRequest, ...targetStates: models.Drg.LifecycleState[]): Promise<serviceResponses.GetDrgResponse | null>;
    /**
     * Waits forDrgAttachment till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDrgAttachmentResponse
     */
    forDrgAttachment(request: serviceRequests.GetDrgAttachmentRequest, ...targetStates: models.DrgAttachment.LifecycleState[]): Promise<serviceResponses.GetDrgAttachmentResponse>;
    /**
     * Waits forFlowLogConfig till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetFlowLogConfigResponse | null (null in case of 404 response)
     */
    forFlowLogConfig(request: serviceRequests.GetFlowLogConfigRequest, ...targetStates: models.FlowLogConfig.LifecycleState[]): Promise<serviceResponses.GetFlowLogConfigResponse | null>;
    /**
     * Waits forFlowLogConfigAttachment till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetFlowLogConfigAttachmentResponse | null (null in case of 404 response)
     */
    forFlowLogConfigAttachment(request: serviceRequests.GetFlowLogConfigAttachmentRequest, ...targetStates: models.FlowLogConfigAttachment.LifecycleState[]): Promise<serviceResponses.GetFlowLogConfigAttachmentResponse | null>;
    /**
     * Waits forIPSecConnection till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetIPSecConnectionResponse | null (null in case of 404 response)
     */
    forIPSecConnection(request: serviceRequests.GetIPSecConnectionRequest, ...targetStates: models.IPSecConnection.LifecycleState[]): Promise<serviceResponses.GetIPSecConnectionResponse | null>;
    /**
     * Waits forIPSecConnectionTunnel till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetIPSecConnectionTunnelResponse | null (null in case of 404 response)
     */
    forIPSecConnectionTunnel(request: serviceRequests.GetIPSecConnectionTunnelRequest, ...targetStates: models.IPSecConnectionTunnel.LifecycleState[]): Promise<serviceResponses.GetIPSecConnectionTunnelResponse | null>;
    /**
     * Waits forInternetGateway till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetInternetGatewayResponse | null (null in case of 404 response)
     */
    forInternetGateway(request: serviceRequests.GetInternetGatewayRequest, ...targetStates: models.InternetGateway.LifecycleState[]): Promise<serviceResponses.GetInternetGatewayResponse | null>;
    /**
     * Waits forIpv6 till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetIpv6Response | null (null in case of 404 response)
     */
    forIpv6(request: serviceRequests.GetIpv6Request, ...targetStates: models.Ipv6.LifecycleState[]): Promise<serviceResponses.GetIpv6Response | null>;
    /**
     * Waits forLocalPeeringConnectiononLifecycleState till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetLocalPeeringConnectionResponse | null (null in case of 404 response)
     */
    forLocalPeeringConnectiononLifecycleState(request: serviceRequests.GetLocalPeeringConnectionRequest, ...targetStates: models.LocalPeeringConnection.LifecycleState[]): Promise<serviceResponses.GetLocalPeeringConnectionResponse | null>;
    /**
     * Waits forLocalPeeringConnectiononPeeringStatus till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetLocalPeeringConnectionResponse | null (null in case of 404 response)
     */
    forLocalPeeringConnectiononPeeringStatus(request: serviceRequests.GetLocalPeeringConnectionRequest, ...targetStates: models.LocalPeeringConnection.PeeringStatus[]): Promise<serviceResponses.GetLocalPeeringConnectionResponse | null>;
    /**
     * Waits forLocalPeeringGatewayonPeeringStatus till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetLocalPeeringGatewayResponse | null (null in case of 404 response)
     */
    forLocalPeeringGatewayonPeeringStatus(request: serviceRequests.GetLocalPeeringGatewayRequest, ...targetStates: models.LocalPeeringGateway.PeeringStatus[]): Promise<serviceResponses.GetLocalPeeringGatewayResponse | null>;
    /**
     * Waits forLocalPeeringGatewayonLifecycleState till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetLocalPeeringGatewayResponse | null (null in case of 404 response)
     */
    forLocalPeeringGatewayonLifecycleState(request: serviceRequests.GetLocalPeeringGatewayRequest, ...targetStates: models.LocalPeeringGateway.LifecycleState[]): Promise<serviceResponses.GetLocalPeeringGatewayResponse | null>;
    /**
     * Waits forNatGateway till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetNatGatewayResponse | null (null in case of 404 response)
     */
    forNatGateway(request: serviceRequests.GetNatGatewayRequest, ...targetStates: models.NatGateway.LifecycleState[]): Promise<serviceResponses.GetNatGatewayResponse | null>;
    /**
     * Waits forNetworkSecurityGroup till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetNetworkSecurityGroupResponse | null (null in case of 404 response)
     */
    forNetworkSecurityGroup(request: serviceRequests.GetNetworkSecurityGroupRequest, ...targetStates: models.NetworkSecurityGroup.LifecycleState[]): Promise<serviceResponses.GetNetworkSecurityGroupResponse | null>;
    /**
     * Waits forPublicIp till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetPublicIpResponse | null (null in case of 404 response)
     */
    forPublicIp(request: serviceRequests.GetPublicIpRequest, ...targetStates: models.PublicIp.LifecycleState[]): Promise<serviceResponses.GetPublicIpResponse | null>;
    /**
     * Waits forRemotePeeringConnectiononLifecycleState till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetRemotePeeringConnectionResponse | null (null in case of 404 response)
     */
    forRemotePeeringConnectiononLifecycleState(request: serviceRequests.GetRemotePeeringConnectionRequest, ...targetStates: models.RemotePeeringConnection.LifecycleState[]): Promise<serviceResponses.GetRemotePeeringConnectionResponse | null>;
    /**
     * Waits forRemotePeeringConnectiononPeeringStatus till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetRemotePeeringConnectionResponse | null (null in case of 404 response)
     */
    forRemotePeeringConnectiononPeeringStatus(request: serviceRequests.GetRemotePeeringConnectionRequest, ...targetStates: models.RemotePeeringConnection.PeeringStatus[]): Promise<serviceResponses.GetRemotePeeringConnectionResponse | null>;
    /**
     * Waits forRouteTable till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetRouteTableResponse | null (null in case of 404 response)
     */
    forRouteTable(request: serviceRequests.GetRouteTableRequest, ...targetStates: models.RouteTable.LifecycleState[]): Promise<serviceResponses.GetRouteTableResponse | null>;
    /**
     * Waits forSecurityList till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetSecurityListResponse | null (null in case of 404 response)
     */
    forSecurityList(request: serviceRequests.GetSecurityListRequest, ...targetStates: models.SecurityList.LifecycleState[]): Promise<serviceResponses.GetSecurityListResponse | null>;
    /**
     * Waits forServiceGateway till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetServiceGatewayResponse | null (null in case of 404 response)
     */
    forServiceGateway(request: serviceRequests.GetServiceGatewayRequest, ...targetStates: models.ServiceGateway.LifecycleState[]): Promise<serviceResponses.GetServiceGatewayResponse | null>;
    /**
     * Waits forSubnet till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetSubnetResponse | null (null in case of 404 response)
     */
    forSubnet(request: serviceRequests.GetSubnetRequest, ...targetStates: models.Subnet.LifecycleState[]): Promise<serviceResponses.GetSubnetResponse | null>;
    /**
     * Waits forVcn till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetVcnResponse | null (null in case of 404 response)
     */
    forVcn(request: serviceRequests.GetVcnRequest, ...targetStates: models.Vcn.LifecycleState[]): Promise<serviceResponses.GetVcnResponse | null>;
    /**
     * Waits forVirtualCircuit till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetVirtualCircuitResponse | null (null in case of 404 response)
     */
    forVirtualCircuit(request: serviceRequests.GetVirtualCircuitRequest, ...targetStates: models.VirtualCircuit.LifecycleState[]): Promise<serviceResponses.GetVirtualCircuitResponse | null>;
    /**
     * Waits forVnic till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetVnicResponse | null (null in case of 404 response)
     */
    forVnic(request: serviceRequests.GetVnicRequest, ...targetStates: models.Vnic.LifecycleState[]): Promise<serviceResponses.GetVnicResponse | null>;
}
